Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::group_node::children_exposedfield Class Reference

Inheritance diagram for openvrml::vrml97_node::group_node::children_exposedfield:

[legend]
List of all members.

## Detailed Description

children exposedField implementation.

For internal use only.

## Public Member Functions

| children_exposedfield (openvrml::node &node) throw ()
| Construct.
virtual | ~children_exposedfield () throw ()
| Destroy.

## Private Member Functions

virtual void | event_side_effect (const mfnode &value, double timestamp) throw (std::bad_alloc)
| Handle event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::group_node::children_exposedfield::children_exposedfield | ( | openvrml::node & | node | ) | throw ()`[explicit]`

Construct.

Parameters:

  | node | group_node.

openvrml::vrml97_node::group_node::children_exposedfield::~children_exposedfield | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::group_node::children_exposedfield::event_side_effect | ( | const mfnode & | value,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

| Handle event. Reimplemented from openvrml::exposedfield< mfnode >.